Bug 993317 - help menu for rhsm-icon shows "?" instead of "h"
help menu for rhsm-icon shows "?" instead of "h"
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
6.5
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 6.5
Assigned To: candlepin-bugs
John Sefler
:
Depends On:
Blocks: rhsm-rhel65
  Show dependency treegraph
 
Reported: 2013-08-05 15:20 EDT by Sharath Dwaral
Modified: 2015-03-22 21:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-07 11:19:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sharath Dwaral 2013-08-05 15:20:17 EDT
Description of problem:
help menu for rhsm-icon shows "?" instead of "h"

Version-Release number of selected component (if applicable):
]# rpm -qa | egrep "subscription-manager|python-rhsm"
subscription-manager-1.8.16-1.el5
subscription-manager-debuginfo-1.8.16-1.el5
subscription-manager-migration-data-1.11.3.2-1.git.0.14f9d59.el5
subscription-manager-firstboot-1.8.16-1.el5
python-rhsm-1.8.16-1.el5
subscription-manager-migration-1.8.16-1.el5
python-rhsm-debuginfo-1.8.16-1.el5
subscription-manager-gui-1.8.16-1.el5


How reproducible:
Always

Steps to Reproduce:

# rhsm-icon --help
Usage:
  rhsm-icon [OPTION...] 

Help Options:
  -?, --help                  Show help options          <<<<<<<<<<<<<<<<
  --help-all                  Show all help options
  --help-gtk                  Show GTK+ Options

Application Options:
  -c, --check-period          how often to check for validity (in seconds)
  -d, --debug                 show debug messages
  -f, --force-icon=TYPE       force display of the icon (expired, partial or warning)
  -i, --check-immediately     run the first status check right away
  --display=DISPLAY           X display to use


Actual results:
see above

Expected results:
-h instead of -?

Additional info:

Note You need to log in before you can comment on or make changes to this bug.